Subject: bug#21704: 25.0.50; Package (package.el) doc should mention effects on `load-path'

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2016 17:18:50 -0800 (GMT-08:00)

> > Apparently (at least from searching package.el and (emacs) `Packages'
> > and its subnodes), nowhere do we tell users the effect of using the
> > package system on `load-path'.  (Variable `load-path' is mentioned in a
> > couple of doc strings, but only for "internal-only" functions.)
> >
> > There is this comment in the Commentary of `package.el':
> >
> > ;; At activation time we will set up the load-path and the info path,
> > ;; and we will load the package's autoloads.  If a package's
> > ;; dependencies are not available, we will not activate that package.
> >
> > I think it is important (helpful) to explicitly make the connection for
> > users between `load-path' and the package system.  Please consider
> > making it clear.  Even just a statement such as the one in that comment
> > would help.
> 
> Do you have a suggestion as to where in the manual we should mention the
> load-path impact?

I'm no expert on package.el or its doc, but I think it should 
be mentioned somewhere where we introduce using the package
system.  We should mention what using the package system has
as effects.  We no doubt explain what it does wrt downloading
to certain locations (which you control), automatically
byte-compiling, etc.  The relation with `load-path' should,
I expect, be mentioned in the same general area of the doc.